<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <title>Document</title>
    <style>
      body {
        font-family: sans-serif;
      }

      .div-content {
        width: 80%;
        margin-top: 5rem;
        margin-left: auto;
        margin-right: auto;
      }

      .my-button {
        padding: 1rem 2rem;
        background-color: #0366ee;
        font-weight: 600;
        border-radius: 4px;
        color: white;
        border: 0px;
        font-size: 1rem;
      }

      input {
        font-size: 1rem;
        padding: 0.5rem;
        border-radius: 4px;
      }
    </style>
  </head>
  <body>
    <div class="div-content">
      <h1>New Item App</h1>

      <form onsubmit="onFormSubmit()">
        <input
          id="item"
          type="text"
          placeholder="New item"
          style="width: 100%;"
        />
      </form>

      <h2>Items</h2>
      <ul id="item-list"></ul>

      <button class="my-button">Clear All</button>
    </div>
  </body>

  <script>
    function onFormSubmit() {
        event.preventDefault();
        var vInputValue = $("#item").val();
        $("#item-list").append(`
            <li>${vInputValue}</li>
        `);

        localStorage.setItem("item", vInputValue);
    }

    $("button").on("click", function() {
        localStorage.clear();
        $("#item-list").html("");
    })
  </script>
</html>
